import rhinoscriptsyntax as rs
idSurface = rs.GetObject("Surface to frame", 8, True, True)
intCount = rs.GetInteger("Number of iterations per direction", 20, 2)
uDomain = rs.SurfaceDomain(idSurface, 0)
vDomain = rs.SurfaceDomain(idSurface, 1)
uStep = (uDomain[1] - uDomain[0]) / intCount
vStep = (vDomain[1] - vDomain[0]) / intCount
rs.EnableRedraw(False)
for u in rs.frange(uDomain[0],uDomain[1]+uStep, uStep):
    for v in rs.frange(vDomain[0],vDomain[1]+uStep,vStep):
        pt =rs.EvaluateSurface(idSurface, u, v) 
        if rs.Distance(pt, rs.BrepClosestPoint(idSurface, pt)[0]) <0.01:
            rs.AddPoint(pt)
rs.EnableRedraw(True)